<?php

/**
 * Compile content of post
 *
 * @package CompileContentOfPost
 * @version 2.1.3
 * @author davidhs
 * @copyright 2013-2014 by davidhs
 * @license Creative Commons Attribution 3.0 Unported License http://creativecommons.org/licenses/by/3.0/
 */

// Returns code with compile content of link type.
function template_ccop_get_type_link($link_array, $show)
{
	if ('content' == $show)
		$text = implode("\n", $link_array);
	else
		$text = implode("\n", array_keys($link_array));

	return $text;
}

// Returns code with compile content of elink type.
function template_ccop_get_type_elink($elink_array, $show)
{
	if ('content' == $show)
	{
		$text = '';
		foreach ($elink_array as $elink => $file)
		{
			if (!empty($text))
				$text .= "\n";
			$text .= '&lt;a href=&quot;' . $elink . '&quot;&gt;' . urldecode($file) . '&lt;/a&gt;';
		}
	}
	else
		$text = implode("\n", array_keys($elink_array));

	return $text;
}

// Returns code with compile content of image type.
function template_ccop_get_type_image($img_array, $show)
{
	if ('content' == $show)
		$text = implode("\n\n", $img_array);
	else
		$text = implode("\n", array_keys($img_array));

	return $text;
}

// Template for admin area settings (edit).
function template_ccop_settings_edit()
{
	global $txt, $scripturl, $context, $settings;

	echo '
	<form action="', $scripturl, '?action=featuresettings;sa=ccopedit;id=', $context['id'], $context['params_url'], ';sesc=', $context['session_id'], '" method="post" accept-charset="', $context['character_set'], '">
		<table width="80%" border="0" cellspacing="0" cellpadding="0" class="tborder" align="center">
			<tr><td>
				<table border="0" cellspacing="0" cellpadding="4" width="100%">
					<tr class="titlebg">
						<td colspan="3">', $context['settings_title'], '</td>
					</tr>
					<tr class="windowbg2">
						<td colspan="3">
							<fieldset>
								<legend>', $txt['ccop_settings_display'], '</legend>
								<table border="0" cellspacing="0" cellpadding="4" width="100%">
									<tr class="windowbg2">
										<td class="windowbg2"></td>
										<td valign="top">
											<label for="description">', $txt['ccop_description'], '</label>
										</td>
										<td class="windowbg2" width="50%">
											<textarea name="description" id="description" rows="2" cols="30">', $context['params']['description'], '</textarea>
										</td>
									</tr>
									<tr class="windowbg2">
										<td class="windowbg2" valign="top" width="16"><a href="', $scripturl, '?action=helpadmin;help=ccop_content" onclick="return reqWin(this.href);" class="help"><img src="', $settings['images_url'], '/helptopics.gif" alt="', $txt[119], '" border="0" align="top" /></a></td>
										<td valign="top">
											<label for="content">', $txt['ccop_content'], '</label><br />
											<span class="smalltext">', $txt['ccop_content_desc'], '</span>
										</td>
										<td class="windowbg2" width="50%">
											<textarea name="content" id="content" rows="4" cols="30" style="min-width: 90%;">', $context['params']['content'], '</textarea>
										</td>
									</tr>
									<tr class="windowbg2">
										<td class="windowbg2"></td>
										<td valign="top">
											<label for="type">', $txt['ccop_type'], '</label>
										</td>
										<td class="windowbg2" width="50%">
											<select name="type" id="type">';

	foreach ($context['params']['type_array'] as $k => $v)
		echo '
												<option value="', $k, '"', $context['params']['type'] == $k ? ' selected="selected"' : '', '>', $v, '</option>';

	echo '
											</select>
										</td>
									</tr>
									<tr class="windowbg2">
										<td class="windowbg2"></td>
										<td valign="top">
											<label for="show">', $txt['ccop_show'],'</label>
										</td>
										<td class="windowbg2" width="50%">
											<select name="show" id="show">';

	foreach ($context['params']['show_array'] as $k => $v)
		echo '
												<option value="', $k, '"', $context['params']['show'] == $k ? ' selected="selected"' : '', '>', $v, '</option>';

	echo '
											</select>
										</td>
									</tr>
									<tr class="windowbg2">
										<td class="windowbg2"></td>
										<td valign="top">
											<label for="position">', $txt['ccop_position'], '</label>
										</td>
										<td class="windowbg2" width="50%">
											<select name="position" id="position">';

	foreach ($context['params']['position_array'] as $k => $v)
		echo '
												<option value="', $k, '"', $context['params']['position'] == $k ? ' selected="selected"' : '', '>', $v, '</option>';

	echo '
											</select>
										</td>
									</tr>
								</table>
							</fieldset>
							<fieldset>
								<legend>', $txt['ccop_settings_advanced'], '</legend>
								<table border="0" cellspacing="0" cellpadding="4" width="100%">
									<tr class="windowbg2">
										<td class="windowbg2"></td>
										<td valign="top">
											<label for="boards">', $txt['ccop_boards'], '</label>
										</td>
										<td class="windowbg2" width="50%">
											<select name="boards[]" id="boards" size="10" multiple="multiple">
												<option value="all"', empty($context['params']['boards']) || in_array('all', $context['params']['boards']) ? ' selected="selected"' : '', '>', $txt[190], '</option>';

	foreach ($context['params']['all_boards'] as $category)
	{
		echo '
												<option value="" disabled="disabled">-----------------------------</option>
												<option value="" disabled="disabled">', $category['name'], '</option>
												<option value="" disabled="disabled">-----------------------------</option>';

		foreach ($category['boards'] as $board)
			echo '
												<option value="', $board['id'], '"', in_array($board['id'], $context['params']['boards']) ? ' selected="selected"' : '', '> ', str_repeat('==', $board['child_level']), '=> ', $board['name'], '</option>';
	}

	echo '
											</select>
										</td>
									</tr>
									<tr class="windowbg2">
										<td class="windowbg2"></td>
										<td valign="top">
											<label for="child_boards">', $txt['ccop_child_boards'], '</label>
										</td>
										<td class="windowbg2" width="50%">
											<select name="child_boards" id="child_boards">
												<option value=""', !is_numeric($context['params']['child_boards']) ? ' selected="selected"' : '', '>', $txt[190], '</option>
												<option value="0"', is_numeric($context['params']['child_boards']) && empty($context['params']['child_boards']) ? ' selected="selected"' : '', '>', $txt[164], '</option>';

	for ($k = 1; $k < 256; $k++)
		echo '
												<option value="', $k, '"', $k == $context['params']['child_boards'] ? ' selected="selected"' : '', '>', sprintf($txt['ccop_child_boards_until'], $k), '</option>';

	echo '
											</select>
										</td>
									</tr>
								</table>
							</fieldset>
						</td>
					</tr><tr>
						<td class="windowbg2" colspan="3" align="center" valign="middle"><input type="submit" name="save" value="', $txt[10], '" accesskey="s" /></td>
					</tr>
				</table>
			</td></tr>
		</table>
	</form>';
}

// Template for admin area settings (show).
function template_ccop_settings_show()
{
	global $txt, $scripturl, $context, $settings;

	echo '
	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tborder" align="center">
		<tr><td>
			<table border="0" cellspacing="0" cellpadding="4" width="100%">
				<tr class="titlebg">
					<td valign="top" width="16"><a href="', $scripturl, '?action=helpadmin;help=ccop" onclick="return reqWin(this.href);" class="help"><img src="', $settings['images_url'], '/helptopics.gif" alt="', $txt[119], '" border="0" align="top" /></a></td>
					<td>', $context['settings_title'], '</td>
				</tr>
				<tr class="windowbg2">
					<td colspan="2" class="windowbg2">';

	template_ccop_show_list('ccop_settings_show');

	echo '
					</td>
				</tr>
			</table>
		</td></tr>
	</table>';
}

?>