<?php

/**
 * Compile content of post
 *
 * @package CompileContentOfPost
 * @version 2.1.2
 * @author davidhs
 * @copyright 2013-2014 by davidhs
 * @license Creative Commons Attribution 3.0 Unported License http://creativecommons.org/licenses/by/3.0/
 */

// Returns code with compile content of link type.
function template_ccop_get_type_link($link_array, $show)
{
	if ('content' == $show)
		$text = implode("\n", $link_array);
	else
		$text = implode("\n", array_keys($link_array));

	return $text;
}

// Returns code with compile content of elink type.
function template_ccop_get_type_elink($elink_array, $show)
{
	if ('content' == $show)
	{
		$text = '';
		foreach ($elink_array as $elink => $file)
		{
			if (!empty($text))
				$text .= "\n";
			$text .= '&lt;a href=&quot;' . $elink . '&quot;&gt;' . urldecode($file) . '&lt;/a&gt;';
		}
	}
	else
		$text = implode("\n", array_keys($elink_array));

	return $text;
}

// Returns code with compile content of image type.
function template_ccop_get_type_image($img_array, $show)
{
	if ('content' == $show)
		$text = implode("\n\n", $img_array);
	else
		$text = implode("\n", array_keys($img_array));

	return $text;
}

// Template for admin area settings (edit).
function template_ccop_settings_edit()
{
	global $txt, $scripturl, $context, $settings;

	echo '
	<div id="admincenter">
		<form action="', $scripturl, '?action=admin;area=modsettings;sa=ccopedit;id=', $context['id'], $context['params_url'], ';', $context['session_var'], '=', $context['session_id'], '" method="post" accept-charset="', $context['character_set'], '">
			<div class="cat_bar">
				<h3 class="catbg">
					', $context['settings_title'], '
				</h3>
			</div>
			<div class="windowbg">
				<span class="topslice"><span></span></span>
				<div class="content">
					<fieldset>
						<legend>', $txt['ccop_settings_display'], '</legend>
						<dl class="settings">
							<dt>
								<label for="description">', $txt['ccop_description'], '</label>
							</dt>
							<dd>
								<textarea name="description" id="description" rows="2" cols="30">', $context['params']['description'], '</textarea>
							</dd>
							<dt>
								<a href="', $scripturl, '?action=helpadmin;help=ccop_content" onclick="return reqWin(this.href);" class="help"><img src="', $settings['images_url'], '/helptopics.gif" class="icon" alt="', $txt['help'], '" /></a>
								<label for="content">', $txt['ccop_content'], '</label><br />
								<span class="smalltext">', $txt['ccop_content_desc'], '</span>
							</dt>
							<dd>
								<textarea name="content" id="content" rows="4" cols="30" style="min-width: 90%;">', $context['params']['content'], '</textarea>
							</dd>
							<dt>
								<label for="type">', $txt['ccop_type'], '</label>
							</dt>
							<dd>
								<select name="type" id="type">';

	foreach ($context['params']['type_array'] as $k => $v)
		echo '
									<option value="', $k, '"', $context['params']['type'] == $k ? ' selected="selected"' : '', '>', $v, '</option>';

	echo '
								</select>
							</dd>
							<dt>
								<label for="show">', $txt['ccop_show'],'</label>
							</dt>
							<dd>
								<select name="show" id="show">';

	foreach ($context['params']['show_array'] as $k => $v)
		echo '
									<option value="', $k, '"', $context['params']['show'] == $k ? ' selected="selected"' : '', '>', $v, '</option>';

	echo '
								</select>
							</dd>
							<dt>
								<label for="position">', $txt['ccop_position'], '</label>
							</dt>
							<dd>
								<select name="position" id="position">';

	foreach ($context['params']['position_array'] as $k => $v)
		echo '
									<option value="', $k, '"', $context['params']['position'] == $k ? ' selected="selected"' : '', '>', $v, '</option>';

	echo '
								</select>
							</dd>
						</dl>
					</fieldset>
					<fieldset>
						<legend>', $txt['ccop_settings_advanced'], '</legend>
						<dl class="settings">
							<dt>
								<label for="boards">', $txt['ccop_boards'], '</label>
							</dt>
							<dd>
								<select name="boards[]" id="boards" size="10" multiple="multiple">
									<option value="all"', empty($context['params']['boards']) || in_array('all', $context['params']['boards']) ? ' selected="selected"' : '', '>', $txt['all'], '</option>';

	foreach ($context['params']['all_boards'] as $category)
	{
		echo '
									<optgroup label="', $category['name'], '">';
		foreach ($category['boards'] as $board)
			echo '
										<option value="', $board['id'], '"', in_array($board['id'], $context['params']['boards']) ? ' selected="selected"' : '', '>', $board['child_level'] > 0 ? str_repeat('==', $board['child_level'] - 1) . '=&gt;' : '', ' ', $board['name'], '</option>';
		echo '
									</optgroup>';
	}

	echo '
								</select>
							</dd>
							<dt>
								<label for="child_boards">', $txt['ccop_child_boards'], '</label>
							</dt>
							<dd>
								<select name="child_boards" id="child_boards">
									<option value=""', !is_numeric($context['params']['child_boards']) ? ' selected="selected"' : '', '>', $txt['all'], '</option>
									<option value="0"', is_numeric($context['params']['child_boards']) && empty($context['params']['child_boards']) ? ' selected="selected"' : '', '>', $txt['no'], '</option>';

	for ($k = 1; $k < 256; $k++)
		echo '
									<option value="', $k, '"', $k == $context['params']['child_boards'] ? ' selected="selected"' : '', '>', sprintf($txt['ccop_child_boards_until'], $k), '</option>';

	echo '
								</select>
							</dd>
						</dl>
					</fieldset>
					<div class="righttext">
						<input type="submit" name="save" value="', $txt['save'], '" accesskey="s" class="button_submit" />
					</div>
				</div>
				<span class="botslice"><span></span></span>
			</div>
		</form>
	</div>
	<br class="clear" />';
}

// Template for admin area settings (show).
function template_ccop_settings_show()
{
	global $txt, $scripturl, $context, $settings;

	echo '
	<div class="cat_bar">
		<h3 class="catbg">
			<a href="', $scripturl, '?action=helpadmin;help=ccop" onclick="return reqWin(this.href);" class="help"><img src="', $settings['images_url'], '/helptopics.gif" class="icon" alt="', $txt['help'], '" /></a>
			', $context['settings_title'], '
		</h3>
	</div>';

	template_show_list('ccop_settings_show');
}

?>