<?php

/**
 * Compile content of post
 *
 * @package CompileContentOfPost
 * @version 2.0
 * @author davidhs
 * @copyright 2013 by davidhs
 * @license Creative Commons Attribution 3.0 Unported License http://creativecommons.org/licenses/by/3.0/
 */

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once (dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF'))
	exit('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

if (empty($context['uninstalling']))
{
	if (!isset($modSettings['ccop_ids']))
	{
		$ids = array();
		$no_ids = array();
		for ($id = 1; $id <= 5; $id++)
		{
			if (!empty($modSettings['ccop_' . $id]))
				$ids[] = $id;
			else
				$no_ids[] = $id;
		}

		$setArray = array();
		$setArray['ccop_ids'] = implode(',', $ids);
		foreach ($ids as $id)
		{
			$setArray['ccop_' . $id . '_description'] = isset($modSettings['ccop_' . $id . '_description']) ? $smcFunc['htmlspecialchars']($modSettings['ccop_' . $id . '_description'], ENT_QUOTES) : '';
			$setArray['ccop_' . $id . '_content'] = isset($modSettings['ccop_' . $id . '_bbc']) ? $modSettings['ccop_' . $id . '_bbc'] : '';
			$setArray['ccop_' . $id . '_type'] = !empty($modSettings['ccop_' . $id . '_type']) ? $modSettings['ccop_' . $id . '_type'] : 'all';

			if (empty($modSettings['ccop_' . $id . '_boards']))
				$setArray['ccop_' . $id . '_boards'] = 'all';
			else
			{
				$boards = explode(',', $modSettings['ccop_' . $id . '_boards']);
				$setArray['ccop_' . $id . '_boards'] = in_array('all', $boards) ? 'all' : $modSettings['ccop_' . $id . '_boards'];
			}

			if (empty($modSettings['ccop_' . $id . '_child_boards']))
				$setArray['ccop_' . $id . '_child_boards'] = 0;
			elseif ('all' == $modSettings['ccop_' . $id . '_child_boards'] || 255 < (int) $modSettings['ccop_' . $id . '_child_boards'])
				$setArray['ccop_' . $id . '_child_boards'] = '';
			else
				$setArray['ccop_' . $id . '_child_boards'] = $modSettings['ccop_' . $id . '_child_boards'];

			$setArray['ccop_' . $id . '_show'] = !empty($modSettings['ccop_' . $id . '_show']) ? $modSettings['ccop_' . $id . '_show'] : 'content';
			$setArray['ccop_' . $id . '_position'] = !empty($modSettings['ccop_' . $id . '_position']) ? $modSettings['ccop_' . $id . '_position'] : 'updown';
		}

		$replaceArray = array();
		foreach ($setArray as $variable => $value)
			$replaceArray[] = array($variable, $value);

		$smcFunc['db_insert']('replace',
			'{db_prefix}settings',
			array('variable' => 'string-255', 'value' => 'string-65534'),
			$replaceArray,
			array('variable')
		);

		foreach ($no_ids as $no_id)
		{
			$smcFunc['db_query']('', '
				DELETE FROM {db_prefix}settings
				WHERE variable LIKE {string:filter}',
				array(
					'filter' => 'ccop\\_' . $no_id . '\\_%',
				)
			);
		}

		for ($id = 1; $id <= 5; $id++)
		{
			$smcFunc['db_query']('', '
				DELETE FROM {db_prefix}settings
				WHERE variable = {string:variable}',
				array(
					'variable' => 'ccop_' . $id,
				)
			);
		}

		$smcFunc['db_query']('', '
			DELETE FROM {db_prefix}settings
			WHERE variable LIKE {string:filter}',
			array(
				'filter' => 'ccop\\_%\\_bbc',
			)
		);

		// Kill the cache - it needs redoing now, but we won't bother ourselves with that here.
		cache_put_data('modSettings', null, 90);
	}
}

?>